[Previous] [Next] [Contents]

## `SG::Perm2CycleType` -- computes the cycle type of a permutation

#### Call(s)

`SG::Perm2CycleType(perm)`

#### Parameters

`perm` | - | any list denoting a permutation

#### Introduction

The `SG::Perm2CycleType` function calculates the cycle type of the permutation `perm`.

A permutation can be expressed as a product of disjoint cycles. The corresponding partition is obtained by listing in weakly decreasing order the lengths of these cycles.

#### Example 1

    >> muEC::SG::Perm2CycleType( [7,1,3,6,5,4,2] );

                                   [3, 2, 1, 1]

    >> muEC::SG::Perm2Cycle( [7,1,3,6,5,4,2] );

                                [[1, 7, 2], [4, 6]]

#### Related Functions

`Cycle2Perm`, `Perm2Cycle`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package